# ====================================================================
#
# OpenCCM: The Open CORBA Component Model Platform
# Copyright (C) 2000-2005 INRIA - USTL - LIFL - GOAL
# Contact: openccm@objectweb.org
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA
#
# Initial developer(s): Jerome Offroy.
# Contributor(s): Philippe Merle.
#
# ====================================================================
#
# Unset global variables used by OpenCCM scripts.
# Restore the previous saved PATH.
# Unix shells (e.g. sh, bash)
#
# ====================================================================
# $Id: un.envi.OpenCCM.sh,v 1.2 2005/06/01 18:35:36 merle Exp $
# ====================================================================

#
# Unset global variables used by OpenCCM scripts.
#
unset ORB_HOMEDIR
unset OpenCCM_HOMEDIR
unset OpenCCM_CONFIG_DIR

#
# Restore the previous saved PATH.
#
if [ ${CCM_BACK_PATH:-NONE} != "NONE" ]
then
    PATH=${CCM_BACK_PATH}
    export PATH
    unset CCM_BACK_PATH
fi
